elftosb::BootImage Class Referenceabstract

Abstract base class for all boot image format classes. More...

`#include <BootImage.h>`

Inheritance diagram for elftosb::BootImage:
[legend]

## Public Member Functions

| BootImage ()
| Constructor.
virtual | ~BootImage ()
| Destructor.
virtual void | setDriveTag (uint16_t tag)=0
| Specify the drive tag to be set in the output file header.
virtual std::string | getFileExtension () const =0
| Returns a string containing the preferred file extension for image format.
virtual void | writeToStream (std::ostream &stream)=0
| Write the boot image to an output stream.
Versions
virtual void | setProductVersion (const version_t &version)=0
virtual void | setComponentVersion (const version_t &version)=0

## Detailed Description

Abstract base class for all boot image format classes.

Provides virtual methods for all of the common features between different boot image formats. These are the product and component version numbers and the drive tag.

Also provided is the virtual method writeToStream() that lets the caller stream out the boot image without knowing the underlying format type.

The documentation for this class was generated from the following file:

- BootImage.h